Package be.ehealth.technicalconnector.config.impl

# Class ConfigurationModuleSystemProps

java.lang.Object
be.ehealth.technicalconnector.config.impl.ConfigurationModuleSystemProps

All Implemented Interfaces:
  `ConfigurationModule`

public class ConfigurationModuleSystemProps extends Object implements ConfigurationModule
ConfigurationModule to set some system propertes on startup time. Implementation of `ConfigurationModule`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SYSTEMPROP_ROOTKEY`
  Rootkey to alter `System`.getProperty(String key, String value);

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationModuleSystemProps()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(Configuration config)`
  Method that initialise the configuration module.
  `void`
  `unload()`
  Method that restores the configuration module and reset the system to the initial situation.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SYSTEMPROP_ROOTKEY

    public static final String SYSTEMPROP_ROOTKEY
    Rootkey to alter `System`.getProperty(String key, String value);
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConfigurationModuleSystemProps

    public ConfigurationModuleSystemProps()

- ## Method Details

  - ### init

    public void init(Configuration config) throws TechnicalConnectorException
    Description copied from interface: `ConfigurationModule`
    Method that initialise the configuration module.
    Specified by:
      `init` in interface `ConfigurationModule`
    Parameters:
      `config` -
    Throws:
      `TechnicalConnectorException`

  - ### unload

    public void unload() throws TechnicalConnectorException
    Description copied from interface: `ConfigurationModule`
    Method that restores the configuration module and reset the system to the initial situation.
    Specified by:
      `unload` in interface `ConfigurationModule`
    Throws:
      `TechnicalConnectorException`